## r-cran-glmnet 2.0

=== DESCRIPTION ===
Package: glmnet
Type: Package
Title: Lasso and Elastic-Net Regularized Generalized Linear Models
Version: 2.0-16
Date: 2018-03-12
Author: Jerome Friedman [aut, cre],
	Trevor Hastie [aut, cre],
	Rob Tibshirani [aut, cre],
	Noah Simon [aut, ctb],
	Balasubramanian Narasimhan [ctb],
	Junyang Qian [ctb]
Maintainer: Trevor Hastie <hastie@stanford.edu>
Depends: Matrix (>= 1.0-6), utils, foreach
Imports: methods
Suggests: survival, knitr, lars
Description: Extremely efficient procedures for fitting the entire lasso or elastic-net regularization path for linear regression, logistic and multinomial regression models, Poisson regression and the Cox model. Two recent additions are the multiple-response Gaussian, and the grouped multinomial regression. The algorithm uses cyclical coordinate descent in a path-wise fashion, as described in the paper linked to via the URL below.
License: GPL-2
VignetteBuilder: knitr
URL: http://www.jstatsoft.org/v33/i01/.
NeedsCompilation: yes
Packaged: 2018-03-12 04:20:32 UTC; hastie
Repository: CRAN
Date/Publication: 2018-04-02 12:06:40 UTC
