=== debian/control ===
Source: r-cran-glmnet
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               r-base-dev (>= 3.0.0),
               cdbs,
               r-cran-matrix,
               r-cran-foreach
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/r-cran-glmnet.git
Vcs-Git: git://anonscm.debian.org/debian-science/r-cran-glmnet.git
Homepage: http://cran.r-project.org/web/packages/glmnet

Package: r-cran-glmnet
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends},
         r-cran-foreach,
         libjs-mathjax
Description: Lasso and Elastic-Net Regularized Generalized Linear Models
 Extremely efficient procedures for fitting the entire lasso or elastic-net
 regularization path for linear regression, logistic and multinomial
 regression models, Poisson regression and the Cox model. Two recent
 additions are the multiple-response Gaussian, and the grouped multinomial.
 The algorithm uses cyclical coordinate descent in a path-wise fashion, as
 described in the paper Introduction to Glmnet.
