## r-cran-glmnet 2.0-5

=== debian/changelog ===
r-cran-glmnet (2.0-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * cme fix dpkg-control
  * Convert to dh-r
  * Canonical homepage for CRAN
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Sun, 04 Dec 2016 22:09:58 +0100
