=== debian/control ===
--- 
+++ 
@@ -3,23 +3,24 @@
 Uploaders: Daniel Pocock <daniel@pocock.pro>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                r-base-dev (>= 3.0.0),
-               cdbs,
+               dh-r,
                r-cran-matrix,
                r-cran-foreach
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/r-cran-glmnet.git
-Vcs-Git: git://anonscm.debian.org/debian-science/r-cran-glmnet.git
-Homepage: http://cran.r-project.org/web/packages/glmnet
+Vcs-Git: https://anonscm.debian.org/git/debian-science/r-cran-glmnet.git
+Homepage: https://cran.r-project.org/package=glmnet
 
 Package: r-cran-glmnet
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${R:Depends},
-         r-cran-foreach,
          libjs-mathjax
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: Lasso and Elastic-Net Regularized Generalized Linear Models
  Extremely efficient procedures for fitting the entire lasso or elastic-net
  regularization path for linear regression, logistic and multinomial
