=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/glmnet_([-0-9\.]*)\.tar\.gz
