## r-cran-glmnet 2.0-13

=== debian/changelog ===
r-cran-glmnet (2.0-13-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * Secure URI in watch file
  * Standards-Version: 4.1.1
  * Testsuite: autopkgtest-pkg-r

  [ Sébastien Villemot ]
  * Fix Vcs-* URLs. (Closes: #818602)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 05 Nov 2017 11:28:48 +0100

r-cran-glmnet (2.0-10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 08 Sep 2017 14:44:52 +0200
