=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Daniel Pocock <daniel@pocock.pro>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper (>= 10),
                r-base-dev (>= 3.0.0),
                dh-r,
                r-cran-matrix,
                r-cran-foreach
-Standards-Version: 3.9.8
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/r-cran-glmnet.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/r-cran-glmnet.git
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-glmnet.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-glmnet.git
 Homepage: https://cran.r-project.org/package=glmnet
 
 Package: r-cran-glmnet
