## r-cran-glmnet 2.0-16

=== debian/changelog ===
r-cran-glmnet (2.0-16-2) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers
  * Standards-Version: 4.2.1
  * Fix VCS fields.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 10 Dec 2018 17:32:45 +0100

r-cran-glmnet (2.0-16-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Wed, 04 Apr 2018 22:29:44 +0200
