=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-glmnet
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Daniel Pocock <daniel@pocock.pro>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                r-base-dev (>= 3.0.0),
                dh-r,
                r-cran-matrix,
                r-cran-foreach
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-glmnet.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-glmnet.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-glmnet
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-glmnet.git
 Homepage: https://cran.r-project.org/package=glmnet
 
 Package: r-cran-glmnet
