## r-cran-glmnet 2.0-18

=== debian/changelog ===
r-cran-glmnet (2.0-18-1) unstable; urgency=medium

  * Replace Daniel by me as Uploader
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jul 2019 21:38:26 +0200
