=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: r-cran-glmnet
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Daniel Pocock <daniel@pocock.pro>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               r-base-dev (>= 3.0.0),
+Build-Depends: debhelper (>= 12~),
                dh-r,
+               r-base-dev,
                r-cran-matrix,
                r-cran-foreach
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-glmnet
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-glmnet.git
 Homepage: https://cran.r-project.org/package=glmnet
 
 Package: r-cran-glmnet
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${R:Depends},
-         libjs-mathjax
+Depends: ${R:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: Lasso and Elastic-Net Regularized Generalized Linear Models
