## r-cran-glmnet 3.0-2

=== debian/changelog ===
r-cran-glmnet (3.0-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Mon, 30 Dec 2019 23:29:20 +0100

r-cran-glmnet (3.0-1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 16 Nov 2019 08:46:43 +0100

r-cran-glmnet (3.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Tue, 12 Nov 2019 11:34:56 +0100
