=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-matrix,
-               r-cran-foreach
-Standards-Version: 4.4.0
+               r-cran-foreach,
+               r-cran-shape
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-glmnet
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-glmnet.git
 Homepage: https://cran.r-project.org/package=glmnet
