## r-cran-glmnet 4.0-2

=== debian/changelog ===
r-cran-glmnet (4.0-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 16 Jul 2020 09:14:52 +0200

r-cran-glmnet (4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 May 2020 12:10:48 +0200
