=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-matrix,
                r-cran-foreach,
-               r-cran-shape
-Standards-Version: 4.4.1
+               r-cran-shape,
+               r-cran-survival
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-glmnet
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-glmnet.git
 Homepage: https://cran.r-project.org/package=glmnet
+Rules-Requires-Root: no
 
 Package: r-cran-glmnet
 Architecture: any
