=== debian/changelog ===
r-cran-glmnet (4.1-2) unstable; urgency=medium

  * Depends: libjs-mathjax (thanks for the hint to Andreas Beckmann)
    Closes: #988880

 -- Andreas Tille <tille@debian.org>  Fri, 21 May 2021 11:50:10 +0200

r-cran-glmnet (4.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 23:26:54 +0100
