=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-foreach,
                r-cran-shape,
                r-cran-survival
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-glmnet
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-glmnet.git
 Homepage: https://cran.r-project.org/package=glmnet
@@ -21,7 +21,8 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         libjs-mathjax
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: Lasso and Elastic-Net Regularized Generalized Linear Models
