=== debian/control ===
--- 
+++ 
@@ -10,8 +10,10 @@
                r-cran-matrix,
                r-cran-foreach,
                r-cran-shape,
-               r-cran-survival
-Standards-Version: 4.5.1
+               r-cran-survival,
+               r-cran-rcpp,
+               r-cran-rcppeigen
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-glmnet
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-glmnet.git
 Homepage: https://cran.r-project.org/package=glmnet
