=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-survival,
                r-cran-rcpp,
                r-cran-rcppeigen
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-glmnet
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-glmnet.git
 Homepage: https://cran.r-project.org/package=glmnet
