## r-cran-glmnet 4.1-8

=== debian/changelog ===
r-cran-glmnet (4.1-8-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 25 Aug 2023 13:14:20 +0200
