## r-cran-glmnet 4.1-10

=== debian/changelog ===
r-cran-glmnet (4.1-10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Dec 2025 11:30:26 +0900
