=== debian/control ===
--- 
+++ 
@@ -12,8 +12,10 @@
                r-cran-shape,
                r-cran-survival,
                r-cran-rcpp,
-               r-cran-rcppeigen
-Standards-Version: 4.6.2
+               r-cran-rcppeigen,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-glmnet
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-glmnet.git
 Homepage: https://cran.r-project.org/package=glmnet
